/*
 *	bitmap.h
 */

#ifndef	_BITMAP_H_
#define	_BITMAP_H_

#include <gba.h>

#pragma	pack(1)

typedef struct _BMPFILEHDR {
	u16	bfType;
	u16	bfSize[2];
	u16	bfReserved1;
	u16	bfReserved2;
	u16	bfOffBits[2];
} BMPFILEHDR, *PBMPFILEHDR;

#define SIZEOF_BMPFILEHDR	14

typedef struct _BMPINFOHDR {
	u16	biSize[2];
	s16	biWidth[2];
	s16	biHeight[2];
	u16	biPlanes;
	u16	biBitCount;
	u16	biCompression[2];
	u16	biSizeImage[2];
	s16	biXPelsPerMeter[2];
	s16	biYPelsPerMeter[2];
	u16	biClrUsed[2];
	u16	biClrImportant[2];
} BMPINFOHDR, *PBMPINFOHDR;

#define BMFH_SIG	"BM"

#pragma	pack()

/*
 *	external functions
 */

BOOL ViewBMP(PDIRENT pdir);

#endif	// _BITMAP_H_

