/*
 *	ini.h
 */

#ifndef	_INI_H_
#define	_INI_H_

#include <gba.h>
#include "token.h"

#define E_UNKNOWN	0
#define E_SYNTAX	1

typedef int (*PVALHANDLER)(PTOKEN ptok);

typedef struct _VALTABLE {
	u8		*name;
	PVALHANDLER	phandler;
} VALTABLE, *PVALTABLE;

typedef struct _KEYTABLE {
	u8		*name;
	PVALTABLE	pval;
} KEYTABLE, *PKEYTABLE;

/*
 *	external functions
 */

void ErrorIniFile(PTOKEN ptok, int ecode, u8 *popt);
void LoadIniFile();

#endif	// _INI_H_

